Bug 906488 - [abrt] blueman-1.23-5.fc18: utils.py:28:warp:DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.79" (uid=1000 pid=3185 comm="/usr/bin/python /usr/bin/blueman-applet ") ...
[abrt] blueman-1.23-5.fc18: utils.py:28:warp:DBusException: org.freedesktop.D...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:19bcfbf3ee54ac023d6c3cd57db...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 12:27 EST by totophe56
Modified: 2013-12-09 18:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 18:32:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.53 KB, text/plain)
2013-01-31 12:27 EST, totophe56
no flags Details
File: core_backtrace (252 bytes, text/plain)
2013-01-31 12:27 EST, totophe56
no flags Details
File: environ (1.20 KB, text/plain)
2013-01-31 12:27 EST, totophe56
no flags Details

  None (edit)
Description totophe56 2013-01-31 12:27:07 EST
Description of problem:
frenx bug on 64 bits server 

Version-Release number of selected component:
blueman-1.23-5.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         3.7.4-204.fc18.x86_64
uid:            1000

Truncated backtrace:
utils.py:28:warp:DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.79" (uid=1000 pid=3185 comm="/usr/bin/python /usr/bin/blueman-applet ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply="0" destination="org.bluez" (uid=0 pid=677 comm="/usr/sbin/bluetoothd -n ")

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/ShowConnected.py", line 66, in enumerate_connections
    adapters = self.Applet.Manager.ListAdapters()
  File "/usr/lib/python2.7/site-packages/blueman/bluez/utils.py", line 28, in warp
    raise errors.parse_dbus_error(exception)
DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.79" (uid=1000 pid=3185 comm="/usr/bin/python /usr/bin/blueman-applet ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply="0" destination="org.bluez" (uid=0 pid=677 comm="/usr/sbin/bluetoothd -n ")

Local variables in innermost frame:
exception: DBusException('Rejected send message, 2 matched rules; type="method_call", sender=":1.79" (uid=1000 pid=3185 comm="/usr/bin/python /usr/bin/blueman-applet ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply="0" destination="org.bluez" (uid=0 pid=677 comm="/usr/sbin/bluetoothd -n ")',)
args: (<blueman.bluez.Manager.Manager object at 0x1b864d0>,)
func: <function ListAdapters at 0x17e5938>
kwargs: {}
Comment 1 totophe56 2013-01-31 12:27:10 EST
Created attachment 691118 [details]
File: backtrace
Comment 2 totophe56 2013-01-31 12:27:12 EST
Created attachment 691119 [details]
File: core_backtrace
Comment 3 totophe56 2013-01-31 12:27:16 EST
Created attachment 691120 [details]
File: environ
Comment 4 Henry Kroll 2013-09-03 19:28:18 EDT
Problem also confirmed in rawhide. Happens at login or when enumerating bluetooth devices. Also causes blueman-manager to fail (configuration windows do not display.
Desktop: LXDE
System: rawhide FC20
Kernel: 3.10.0-0.rc2.git3.1.fc20.x86_64
Version: blueman-1.23-7.fc20.x86_64
Comment 5 Juan Manuel Rodriguez 2013-12-09 18:32:39 EST
Hi. I'm closing this bug as Blueman has been retired from Fedora. 

If you wish to file a bug against upstream, a new Blueman fork has been created in this github repository. [1]

I apologize for the inconvenience. 

[1] https://github.com/cschramm/blueman

Note You need to log in before you can comment on or make changes to this bug.